For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
OverviewCodaControlAPI ReferenceChangelog
OverviewCodaControlAPI ReferenceChangelog
  • Coda API
  • Control API
      • PUTVote On Model Result
      • DELRemove Vote On Model Result
      • GETRetrieve Model Result
      • DELDelete Model Result
      • GETList Models Results
      • GETDownload Model Result
  • Stanza API
    • stanza
    • cli
    • context
    • device
    • exceptions
    • models
    • pyvisa
    • registry
    • timing
    • utils
LogoLogo
Control APIModel Results

Vote On Model Result

PUT
https://api.conductorquantum.com/v0/model-results/:result_id/vote
PUT
/v0/model-results/:result_id/vote
1from conductorquantum import ConductorQuantum
2
3client = ConductorQuantum(
4 token="YOUR_TOKEN",
5)
6
7client.model_results.vote_on_model_result(
8 result_id="result_id",
9 vote=1,
10)
1{
2 "model_result_id": "a3f1c9e2-4b7d-4f8a-9c2e-123456789abc",
3 "vote": 1,
4 "feedback": "The model result was very accurate and helpful."
5}
Create or update a vote on a model result.
Was this page helpful?
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

result_idstringRequired
The UUID of the model result.

Request

This endpoint expects an object.
voteintegerRequired

1 for upvote, -1 for downvote

feedbackstring or nullOptional
Optional text feedback

Response

Successful Response
model_result_idstring
External UUID of the model result
voteinteger

The vote value: 1 or -1

feedbackstring or null
Optional text feedback

Errors

404
Not Found Error
422
Unprocessable Entity Error